//______________________________________________________________________________
//
//                   TEDIA_OX9162.DLL library Delphi header file
//
//                                ver. 3.18.00
//
//                   (c) 2021 TEDIA spol. s r. o. (30.3.2021)
// 
//                         https://www.tedia.cz/podpora
//                         https://www.tedia.eu/support
//
//______________________________________________________________________________
//______________________________________________________________________________
//______________________________________________________________________________


unit tedia_ox9162;

interface
uses Windows;


//______________________________________________________________________________

const

// return codes (OX9162_RET)

  OX9162_Ok                = $00000000;
// OX9162_NotRunning       = $00000001; removed in >3.0 
  OX9162_BadIndex          = $00000002;
  OX9162_AlreadyOpened     = $00000004;
  OX9162_CardOpenErr       = $00000008;
// OX9162_CardRegisterErr  = $00000010; removed in >3.0 
  OX9162_IntEnableErr      = $00000020;
  OX9162_NotOpened         = $00000040;
  OX9162_BAR4Err           = $00000080;
  OX9162_IntDisabled       = $00000100;
  OX9162_StopIntThread     = $00000200;
  OX9162_NullPointer       = $00000400;
  OX9162_CreateEvent       = $00000800;
  OX9162_WaitTimeout       = $00001000;
  OX9162_BAR3Err           = $00002000;
  OX9162_IntPending        = $00010000;
  OX9162_OpenedSameProcess = $00040000;
  OX9162_VersionConflict   = $80000000;


type
  Bool       = cardinal;
  DWord      = cardinal;
  PWord      = ^Word;
  PDWord     = ^DWord;
  OX9162_RET = DWord;



//_____________________________________________________________ list of functions


function OX9162_InterfaceVersion:DWord; stdcall;

function OX9162_DriverVersion(ver:PDWord):OX9162_RET; stdcall;

function OX9162_CardsInSystem(count:PDWord):OX9162_RET; stdcall;

function OX9162_Card_DID(inx:DWord; did:PDWord):OX9162_RET; stdcall;

function OX9162_Card_BUS(inx:DWord; bus:PDWord):OX9162_RET; stdcall;

function OX9162_Card_SLOT(inx:DWord; slot:PDWord):OX9162_RET; stdcall;

function OX9162_Open(inx:DWord; enable_int:Bool):OX9162_RET; stdcall;

function OX9162_OpenMulti(inx:DWord; enable_int:Bool):OX9162_RET; stdcall;

function OX9162_Card_OpenCount(inx:DWord; open_count:PDWord):OX9162_RET; stdcall;

function OX9162_Close(inx:DWord):OX9162_RET; stdcall;

function OX9162_BAR4_BaseAdr(inx:DWord; base_adr:PNativeUInt; range:PDWord):OX9162_RET; stdcall;

function OX9162_IRQ_Wait(inx:DWord; reserve:PDWord):OX9162_RET; stdcall;

function OX9162_IRQ_Count(inx:DWord):DWord; stdcall;

function OX9162_IRQ_SetTimeout(inx:DWord; timeout:DWord):OX9162_RET; stdcall;

function OX9162_MemRead(base_adr:NativeUInt; offset:DWord):Byte; stdcall;

procedure OX9162_MemWrite(base_adr:NativeUInt; offset:DWord; data:Byte); stdcall;



//________________________________________________________________ implementation

implementation

function  OX9162_InterfaceVersion;   external 'TEDIA_OX9162.DLL';
function  OX9162_DriverVersion;      external 'TEDIA_OX9162.DLL';
function  OX9162_CardsInSystem;      external 'TEDIA_OX9162.DLL';
function  OX9162_Card_DID;           external 'TEDIA_OX9162.DLL';
function  OX9162_Card_BUS;           external 'TEDIA_OX9162.DLL';
function  OX9162_Card_SLOT;          external 'TEDIA_OX9162.DLL';
function  OX9162_Open;               external 'TEDIA_OX9162.DLL';
function  OX9162_OpenMulti;          external 'TEDIA_OX9162.DLL';
function  OX9162_Card_OpenCount;     external 'TEDIA_OX9162.DLL';
function  OX9162_Close;              external 'TEDIA_OX9162.DLL';
function  OX9162_BAR4_BaseAdr;       external 'TEDIA_OX9162.DLL';
function  OX9162_IRQ_SetTimeout;     external 'TEDIA_OX9162.DLL';
function  OX9162_IRQ_Wait;           external 'TEDIA_OX9162.DLL';
function  OX9162_IRQ_Count;          external 'TEDIA_OX9162.DLL';
function  OX9162_MemRead;            external 'TEDIA_OX9162.DLL';
procedure OX9162_MemWrite;           external 'TEDIA_OX9162.DLL';

//______________________________________________________________________________

begin
end.
